
#ifndef _GenMatUtil_ComponentDiv
#define _GenMatUtil_ComponentDiv


	/* Compute the component by component product of a vector */
	template <class T> Vector<T> ComponentDiv(const Vector<T> &x, const Vector<T> &y);


/* Compute the component by component product of a vector */
template <class T>
Vector<T> ComponentDiv(const Vector<T> &x, const Vector<T> &y)
{
	int n = x.Size();
	if(y.Size() != n) Print("Error in ComponentDiv: Incompadible Dimensions");
	Vector<T> z(n);
	for(int i=0; i<n; i++) z[i] = x[i] / y[i];
	return z;
}


#endif