
#ifndef _GenMatUtil_NotOp
#define _GenMatUtil_NotOp



Vector<bool> operator ! (Vector<bool> &v)
{
	int n = v.Size();
	Vector<bool> w(n);
	for(int i=0; i<n; i++) w(i) = !v(i);
	return w;
}

Matrix<bool> operator ! (Matrix<bool> &A)
{
	int m = A.Cols();
	int n = A.Rows();
	int len = A.Length();
	Matrix<bool> B(m,n);
	for(int i=0; i<len; i++) B[i] = !A[i];
	return B;
}

#endif
