
#ifndef _GenMatUtil_ProdCXOp
#define _GenMatUtil_ProdCXOp

	/* Pre-Multiply a matrix by a constant, B = c * A */
	template <class T> Vector<T>    operator * (const T &c, const GeneralVector<T>    &x);
	//template <class T> RowVector<T> operator * (const T &c, const RowVector<T> &x);


/* ... */
template <class T>
Vector<T> operator * (const T &c, const GeneralVector<T> &x)
{
	int n = x.Size();
	//Vector<T> y(n);
	//for(int i=0; i<n; i++) y(i) = c * x(i);
	Vector<T> y(n,Zero);
	BlasAxpy(n,c,x.Begin(),1,y.Begin(),1);
	return y;
}	

/* ... */
/*
template <class T>
RowVector<T> operator * (const T &c, const RowVector<T> &x)
{
	int n = x.Size();
	RowVector<T> y(n);
	for(int i=0; i<n; i++) y(i) = c * x(i);
	return y;
}
*/
	
#endif
