
#ifndef _Round
#define _Round

inline double Round(double x)
{
	return round(x);
}

DataPoint<double> Round(DataPoint<double> x)
{
	if(x.IsMissing()) return x;
	else              return Round(x.GetData());
}

string Round(double x, int i)
{
	double Fac = pow(10,i);
	string Ret = ToString(round(Fac * x) / Fac);
	Stack<string> Temp = ParseBy(Ret,'.');
	if(Temp.Size() == 1)
	{
		Ret += ".";
		for(int j=0; j<i; j++) Ret += "0";
	}
	else
	{
		if(Temp(1).length() != i)
		{
			for(int j=0; j<i-Temp(1).length(); j++) Ret += "0";
		}
	}
	return Ret;
}

string Round(DataPoint<double> x, int i)
{
	if(x.IsMissing()) return ".";
	else              return Round(x.GetData(),i);
}

#endif
