
#ifndef _GenMatUtil_Subtract
#define _GenMatUtil_Subtract



/*

Substract One Vector From Another (efficient routine)
i.e., z = x - y

*/

template <class T> 
void Subtract(Vector<T> &z, const Vector<T> &x, const Vector<T> &y)
{
	int n = z.Size();
	if(x.Size() != n || y.Size() != n)
	{
		Print("Error in Subtract(Vector,Vector,Vector)");
		Print("z = x - y");
		Print("x.Name",x.Name);
		Print("y.Name",y.Name);
		Print("z.Name",z.Name);
		Print("x.Size()",x.Size());
		Print("y.Size()",y.Size());
		Print("z.Size()",z.Size());
		HaltExecution();
	}
	for(int i=0; i<n; i++) z[i] = x[i] - y[i];
}


#endif