
#ifndef _Data_Trim
#define _Data_Trim




string Trim(const string &s)
{
	int n = s.length();
	
	/* Easy Cases */
	     if(n == 0)   return "";
	else if(s == " ") return "";
	
	/* Find First Non-space Character */
	int i0 = 0;
	while(i0 < n - 1 && s[i0] == ' ') i0++;
	
	/* Find Last Non-space Character */
	int i1 = n - 1;
	while(i1 > 0 && s[i1] == ' ') i1--;
	
	if(i1 >= i0) return s.substr(i0,i1-i0+1);
	else         return "";
}


Vector<string> Trim(const Vector<string> &x)
{
	int n = x.Size();
	Vector<string> y(n);
	for(int i=0; i<n; i++) y(i) = Trim(x(i));
	return y;
}

string RTrim(const string &s)
{
	int n = s.length();
	
	/* Easy Cases */
	     if(n == 0)   return "";
	else if(s == " ") return "";
	
	int i1 = n - 1;
	while(i1 > 0 && s[i1] == ' ') i1--;
	
	return s.substr(0,i1+1);
}


#endif