
#ifndef _Data_Delete
#define _Data_Delete


	string DeleteAll(const string &s, char t1, char t2);
	string DeleteAll(const string &s, const string &t);

string DeleteFirst(const string &s, char ch)
{
	int n = s.length();

	for(int i=0; i<n; i++)
	{
		if(s[i] == ch)
		{
			return s.substr(0,i) + s.substr(i+1,n-i-1);
		}
	}

	return s;
}

string DeleteFirst(const string &s, const string &t)
{
	int n = s.length();
	int m = t.length();
	for(int i=0; i<=n-m; i++)
	{
		if(s.substr(i,m) == t)
		{
			if(i > 0) return s.substr(0,i) + s.substr(i+m,n-i-m);
			else      return s.substr(i+m,n-i-m);
		}
	}
	return s;
}

string DeleteAll(const string &s, char t)
{
	string snew = "";
	for(int i=0; i<s.length(); i++) if(s[i] != t) snew += s[i];	
	return snew;
}

string DeleteAll(const string &s, char t1, char t2)
{
	string snew = "";
	for(int i=0; i<s.length(); i++) if(s[i] != t1 && s[i] != t2) snew += s[i];	
	return snew;
}

string DeleteAll(const string &s, const string &t)
{
	string snew = "";
	for(int i=0; i<s.length(); i++)
	{
		bool Info = False;
		if(i + t.length() <= s.length())
		{
			Info = True;
			for(int j=i; j<i+t.length(); j++) if(s[j] != t[j-i]) Info = False;
		}
		if(Info) i += t.length() - 1;
		else if(i < s.length()) snew += s[i];
		
	}
	return snew;
}


/*

Trim the characters in the string t from the string s

e.g. Delete("abcda","ad") returns "bc"

*/

/*
string Delete(string s, string t)
{
	int n = s.length();
	int m = t.length();
	string s2 = "";

	for(int i=0; i<n; i++)
	{
		int Chk = 1;
		char ch = s[i];
		for(int j=0; j<m; j++) if(ch == t[j])
		{
			Chk = 0;
			break;
		}
		if(Chk) s2 += ch;
	}
	
	return s2;
}
*/


/*

Remove from string s any character contained in the string t,

e.g. Remove("abc def, eg"," ,:") returns "abcdefeg"

*/

/*
string Remove(string s, string t)
{
	int n = s.length();
	int m = t.length();
	string s2 = "";
	for(int i=0; i<n; i++)
	{
		bool Info = 0;
		char ch = s[i];
		for(int j=0; j<m; j++) if(ch == t[j]) Info = 1;
		if(!Info) s2 += ch;
	}
	return s2;
}
*/

#endif
