
#ifndef _GenMatUtil_Diag
#define _GenMatUtil_Diag


template <class T>
DiagonalMatrix<T> Diag(const GeneralMatrix<T> &A)
{
	int n = A.Rows();
	if(A.Cols() != n)
	{
		Print("Error in Diag");
		Print("Matrix is Not Square");
		Print("A.Size()",A.Size());
		HaltExecution();
	}
	
	DiagonalMatrix<T> D(n);
	for(int i=0; i<n; i++) D(i) = A(i,i);
	return D;
}

#endif
