
#ifndef _FloatUtil
#define _FloatUtil

/* Funciton prototypes */

	/* Return true if a number is nan */
	bool IsNan(double x);

	/* Return true if a number is inf */
	bool IsInf(double x);

	/* Return true if a number is inf */
	bool IsNegInf(double x);

	/* Is x the same as y, up to a small tolerance */
	bool IsSame(double x, double y);


/* Return true if a number is nan */
bool IsNan(double x)
{
     return !(x >= Zero || x <= Zero);
}

/* Return true if a number is inf */
bool IsInf(double x)
{
     return (x == One / Zero);
}

/* Return true if a number is inf */
bool IsNegInf(double x)
{
     return (x == -One / Zero);
}

double IsSameTol = 0.0000000000001;
bool IsSame(double x, double y)
{
	if(abs(x - y) > IsSameTol) return 0;
	else                       return 1;
}

template <class T>
T Sqrt(const T &a)
{
	return sqrt(a);
}

double Log(double a)
{
	return log(a);
}

template <class T>
inline T GetZero()
{
	return Zero;
}

template <class T>
inline T GetOne()
{
	return One;
}

#endif
