
#ifndef _GenMat_GeneralAssignableMatrix
#define _GenMat_GeneralAssignableMatrix


template <class T>
class GeneralAssignableMatrix : public GeneralDenseMatrix<T>
{

	public:
	
	/* Access array elements with bounds checking */
	virtual inline T* Begin() = 0;
	virtual inline const T* End() const = 0;
	virtual inline T& operator()(int i, int j) = 0;
	virtual inline const T& operator()(int i, int j) const = 0;

};

#endif
