
#ifndef _Log
#define _Log


// Utilities for logging output
ofstream fout("log.txt");

template <class Type1>
void Log(Type1 T1)
{
	fout << T1 << "\n";
}
		
template <class Type1, class Type2>
void Log(Type1 T1, Type2 T2)
{
	fout << T1 << ": " << T2 << "\n";
}

template <class Type1, class Type2, class Type3>
void Log(Type1 T1, Type2 T2, Type3 T3)
{
	fout << T1 << "\t" << T2 << "\t" << T3 << "\n";
}
			
template <class Type1, class Type2, class Type3, class Type4>
void Log(Type1 T1, Type2 T2, Type3 T3, Type4 T4)
{
	fout << T1 << ": " << T2 << "\t" << T3 << ": " << T4 << "\n";
}

template <class Type1, class Type2, class Type3, class Type4, class Type5>
void Log(Type1 T1, Type2 T2, Type3 T3, Type4 T4, Type5 T5)
{
	fout << T1 << "\t" << T2 << "\t" << T3 << "\t" << T4 << "\t" << T5 << "\n";
}
			
template <class Type1, class Type2, class Type3, class Type4, class Type5, class Type6>
void Log(Type1 T1, Type2 T2, Type3 T3, Type4 T4, Type5 T5, Type6 T6)
{
	fout << T1 << ": " << T2 << "\t" << T3 << ": " << T4 << "\t" << T5 << ": " << T6 << "\n";
}

#endif
