
#ifndef _Stat_MinMax
#define _Stat_MinMax


template <class T>
DataPoint<T> Max(const GeneralVector< DataPoint<T> > &X)
{
	Vector<T> X1 = DropMissing(X);
	if(X1.Size() == 0) return DataPoint<T>();
	else               return Max(X1);
}

template <class T>
DataPoint<T> Min(const GeneralVector< DataPoint<T> > &X)
{
	Vector<T> X1 = DropMissing(X);
	if(X1.Size() == 0) return DataPoint<T>();
	else               return Min(X1);
}

#endif

