
#ifndef _GenMatUtil_ProdXtY
#define _GenMatUtil_ProdXtY


	template <class T> T ProdXtY(const Vector<T> &x, const Vector<T> &y);


template <class T>
T ProdXtY(const Vector<T> &x, const Vector<T> &y)
{
	int n = x.Size();
	if(y.Size() != n)
	{
		Print("Error in ProdXtY");
		Print("c = x^T * y");
		Print("Incompadible Dimensions");
		Print("x.Size()",x.Size());
		Print("y.Size()",y.Size());
		HaltExecution();
	}
	
	T c = Zero;
	for(int i=0; i<n; i++) c += x[i] * y[i];
	return c;
	//return BlasDot(n,x.Begin(),1,y.Begin(),1);
}

#endif
