
#ifndef _Search
#define _Search

/*

Search:

Find the index of an element in v equal to a
in O(n) time, where n is the number of
elements in v. Here, v is assumed to be sorted
in increasing order. If an element does not exist
reutrn -1.

*/

template <class T>
int Search(const GeneralVector<T> &v, const T &a)
{
	int n = v.Size();
	for(int i=0; i<n; i++) if(v(i) == a) return i;
	return -1;
}

#endif
