
#ifndef _Stat_Subset
#define _Stat_Subset



template <class T>
Stack<T> Subset(const GeneralVector<T> &X, const GeneralVector<bool> &Sub)
{
	int N = X.Size();
	
	if(Sub.Size() != N)
	{
		Print("Error in Subset");
		Print("Incompadible Dimensions");
		Print("X.Size()",X.Size());
		Print("Sub.Size()",Sub.Size());
		HaltExecution();
	}
	
	Stack<T> s;
	for(int n=0; n<N; n++) if(Sub(n)) s.Push(X(n));
	return s;
}

#endif
