
#ifndef _Data_ToInteger
#define _Data_ToInteger


	int ToInteger(const string &s);



/* Convert string to int */
int ToInteger(const string &s)
{

	/* Get Rid of Parentheses, But Check Format */
	string t = "";
	Stack<string> s2 = ParseBy(s,',');

	if(s2.Size() == 1)
	{
		t = s;
	}
	else
	{
		if(s2(0).length() >= 0 || s2(0).length() <= 3)
		{
			t += s2(0);
		}
		else
		{
			Throw("Error in ToInteger(string)\nUnable to Convert\ns: " + s);
		}
		for(int i=1; i<s2.Size(); i++)
		{
			if(s2(i).length() == 3)
			{
				t += s2(i);
			}
			else
			{
				Throw("Error in ToInteger(string)\nUnable to Convert\ns: " + s);
			}
		}
	}

	/* Do the Conversion */
	int x;
	std::istringstream i(t);
	if(!(i >> x)) Throw("Error in ToInteger(string)\nUnable to Convert\ns: " + s);
	return x;
}

Vector<int> ToInteger(const Vector<string> &x)
{
	int n = x.Size();
	Vector<int> y(n);
	for(int i=0; i<n; i++) y(i) = ToInteger(x(i));
	return y;
}

#endif
